Skip to main content
POST
Submit one encrypted durable inference job

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Stable key used to adopt the original durable operation after retries or disconnects.

Maximum string length: 128

Path Parameters

name
string
required
Minimum string length: 1

Body

application/json
idempotency_key
string
required
Required string length: 1 - 255
input
object
required

Protocol-native request body; encrypted before persistence.

store_encrypted_content
boolean
required
execution_deadline_seconds
integer
Required range: 1 <= x <= 86400
priority
integer
Required range: -100 <= x <= 100
protocol
enum<string>
default:chat
Available options:
chat,
responses,
embeddings,
completions,
batch
retention_seconds
integer
Required range: 2 <= x <= 604800
webhook_secret_reference_id
string
webhook_url
string<uri>
Pattern: ^https://

Response

Durable operation accepted

The response is of type object.